This list [accepts and encourages pull requests](https://github.com/dhamaniasad/awesome-postgres).

# Contribution Guidelines

- **To add to the list:** Submit a pull request to [README.md](https://github.com/dhamaniasad/awesome-postgres/blob/master/README.md), optionally add comment if you wish to elaborate/explain. One pull request for one item.
- **To edit an item:** Submit a pull request to [README.md](https://github.com/dhamaniasad/awesome-postgres/blob/master/README.md), add comment explaining the reasoning behind the change. One pull request for change to one item.
- **To remove from the list:** Open an issue

You may add, edit, or request to remove:
- Categories
- Items

### General conditions

This is an attempt to make a curated list of high-quality, maintained, useful PostgreSQL/related software.

- Submitting software:
  - Must either be free and open source, or have a note which explicitly states that the software is commercial. `(Commercial Software)` will do. Must have an acknowledged open source license to be exempt from the `(Commercial Software)` note requirement. I'm not a lawyer, so I'll go with the
    FSF listings. 
  - Must be reasonably recognized and adopted. Please do not add your newly created untested scripts.
  - The code must have been active in some production environment and must be in a reasonably GA quality.
  - Code must not be abandoned/discontinued.
  - Do not include links to documentation. This is not an "awesome library" repository. We might go for that in the future.
- If e-book, must be free (as in free beer) and without commitment from the user (e.g. no requirement to enter personal details,
  no requirement to login with social network ID, etc.)
- Likewise, all other resources (websites etc.), must all be open to all and must not require payment nor registration/credentials.
  - The only exception being Newsletters, where an email address is required by definition. Newsletters are accepted under the
    condition that an email address is their *only requirement*.
- This is not the place for slides, videos, specific blog posts, specific SQL queries. Will possibly open a dedicated list for these.
- Avoid politics and religious wars.

### Request guidelines

- Make an individual pull request for each suggestion
- Use the following format: `[item](link) - description.`
- Each item should be limited to one link
- Include a link to the item in the description of your pull request
- The link should be the name of the package/project/library/resource etc.
- Avoid superlatives or FUD and otherwise just stick to a reasonable description
- Do not capitalize description (i.e. avoid "The Tool to End All Tools")
- English only


**Thank you for contributing!**
